aboutsummaryrefslogtreecommitdiff
path: root/others
diff options
context:
space:
mode:
authorluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-03-07 04:49:57 +0000
committerluis <luis@370017ae-e619-0410-ac65-c121f96126d4>2007-03-07 04:49:57 +0000
commit5a6dfe43a5339f273ebae1a341ecaf6a1e94d49f (patch)
tree2688fceb7cbfa7b12098d5c416da7bbbea674e3d /others
parent6bd46fe1d4b6e2fa1cb16e141ef500ec56019789 (diff)
downloadslackbuilds-5a6dfe43a5339f273ebae1a341ecaf6a1e94d49f.tar.gz
slackbuilds-5a6dfe43a5339f273ebae1a341ecaf6a1e94d49f.tar.bz2
generic.SlackBuild v0.7.3
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@1096 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'others')
-rwxr-xr-xothers/generic/generic.SlackBuild16
1 files changed, 8 insertions, 8 deletions
diff --git a/others/generic/generic.SlackBuild b/others/generic/generic.SlackBuild
index 6ff1ed9e..c0cb0cac 100755
--- a/others/generic/generic.SlackBuild
+++ b/others/generic/generic.SlackBuild
@@ -1,7 +1,7 @@
###################################################
## Generic template for SlackBuilds
##
-## Version 0.7.2 - Luis ( luis at riseup d0t net)
+## Version 0.7.3 - Luis ( luis at riseup d0t net)
##
###################################################
#!/bin/bash
@@ -27,7 +27,7 @@ ARCH=${ARCH:=[[ARCH]]}
SRC_VERSION=${VERSION:=[[VERSION]]}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
BUILD=${BUILD:=1[[SLACKBUILD AUTHOR INITIALS]]}
-SRC_DIR=${SRC_DIR:=$CWD}
+SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
REPOS=${REPOS:=$TMP}
@@ -65,12 +65,6 @@ mkdir -p "$SRC_DIR" || exit $ERROR_MKDIR
mkdir -p "$PKG" || exit $ERROR_MKDIR
mkdir -p "$REPOS" || exit $ERROR_MKDIR
-# Import minimized signing key from
-# [[SIGNING KEY URL]]
-gpg --import << EOKEY || exit $ERROR_GPG
-[[SIGNING KEY]]
-EOKEY
-
# Dowload source if necessary
SRC="$SRC_NAME-$SRC_VERSION.tar.[[SOURCE EXTENSION]]"
URL="[[DOWNLOAD FOLDER URL]]/$SRC"
@@ -79,6 +73,12 @@ if [ ! -s "$SRC_DIR/$SRC" ] || ! [[DECOMPRESSOR]] [[DECOMPRESSOR TEST FLAG]] "$S
wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
fi
+# Import minimized signing key from
+# [[SIGNING KEY URL]]
+gpg --import << EOKEY || exit $ERROR_GPG
+[[SIGNING KEY]]
+EOKEY
+
# Dowload source's signature if necessary and check it
if [ ! -s "$SRC_DIR/$SRC.sig" ]; then
wget "$URL.sig" -O "$SRC_DIR/$SRC.sig" || exit $ERROR_WGET